/* maks.c */ /* SJ 250398 */ 
#include "ckieli.h"

/* Syötettyjen lukujen maksimin laskeva ohjelma,
   lopettaa saatuaan nollan (0) */

int main()
{
  int uusi_luku, maks = -999;

  tulosta_merkki("Anna lukuja, lopuksi 0");
  /* toistetaan kunnes annettu luku on 0 */

  do {
	  lue(uusi_luku);
	  /* jos annettu luku on suurempi kuin */
	  /* edellinen maksimi, luku muistiin  */
	  if ((uusi_luku > maks) && (uusi_luku != 0))
		  maks = uusi_luku;

  } while (uusi_luku != 0); 

  tulosta (maks);
  exit(0);
}
